Bug 109716 - [CI][DRMTIP] igt@i915_suspend@debugfs-reader - dmesg-warn -WARN_ON(!intel_guc_log_relay_enabled(log))
Summary: [CI][DRMTIP] igt@i915_suspend@debugfs-reader - dmesg-warn -WARN_ON(!intel_guc...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-21 11:56 UTC by Lakshmi
Modified: 2019-03-05 17:23 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, CFL, SKL
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-02-21 11:56:46 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_224/fi-skl-guc/igt@i915_suspend@debugfs-reader.html

 ------------[ cut here ]------------
<4> [370.603055] WARN_ON(!intel_guc_log_relay_enabled(log))
<4> [370.603110] WARNING: CPU: 7 PID: 1474 at drivers/gpu/drm/i915/intel_guc_log.c:244 guc_log_capture_logs+0x3bd/0x460 [i915]
<4> [370.603112] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal coretemp snd_hda_intel snd_hda_codec crct10dif_pclmul snd_hwdep crc32_pclmul snd_hda_core ghash_clmulni_intel e1000e snd_pcm i2c_i801 mei_me mei prime_numbers
<4> [370.603127] CPU: 7 PID: 1474 Comm: kworker/u17:1 Tainted: G     U            5.0.0-rc7-gc9ff8f3dafd0-drmtip_224+ #1
<4> [370.603129] Hardware name: System manufacturer System Product Name/Z170 PRO GAMING, BIOS 3402 04/26/2017
<4> [370.603166] Workqueue: i915-guc_log capture_logs_work [i915]
<4> [370.603201] RIP: 0010:guc_log_capture_logs+0x3bd/0x460 [i915]
<4> [370.603204] Code: c0 e8 e7 01 07 f7 4c 89 e2 4c 8b 54 24 08 4c 8b 1c 24 e9 46 fe ff ff 48 c7 c6 f8 b9 6d c0 48 c7 c7 54 a5 6b c0 e8 e3 4f ad f6 <0f> 0b e9 d0 fe ff ff 48 c7 c6 a0 e1 69 c0 48 c7 c7 a0 6c 76 c0 e8
<4> [370.603206] RSP: 0018:ffffafbb003efdc0 EFLAGS: 00010282
<4> [370.603209] RAX: 0000000000000000 RBX: ffff8925e22613a0 RCX: 0000000000000006
<4> [370.603210] RDX: 0000000000000006 RSI: ffffffffb80ffbe2 RDI: ffffffffb80aaddf
<4> [370.603213] RBP: ffffafbb003efec8 R08: 0000000013a61f1b R09: 0000000000000000
<4> [370.603214] R10: ffffafbb003efdc0 R11: 0000000000000000 R12: ffff8925e30afa38
<4> [370.603216] R13: ffff8925e3087a00 R14: ffff8925e2261380 R15: 0000000000000000
<4> [370.603219] FS:  0000000000000000(0000) GS:ffff8925eebc0000(0000) knlGS:0000000000000000
<4> [370.603221] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [370.603223] CR2: 00005598a786d000 CR3: 0000000215dfa005 CR4: 00000000003606e0
<4> [370.603225] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4> [370.603227] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4> [370.603229] Call Trace:
<4> [370.603242]  process_one_work+0x245/0x610
<4> [370.603249]  worker_thread+0x37/0x380
<4> [370.603254]  ? process_one_work+0x610/0x610
<4> [370.603257]  kthread+0x119/0x130
<4> [370.603261]  ? kthread_park+0x80/0x80
<4> [370.603266]  ret_from_fork+0x3a/0x50
<4> [370.603276] irq event stamp: 520
<4> [370.603279] hardirqs last  enabled at (519): [<ffffffffb7128944>] vprintk_emit+0x124/0x320
<4> [370.603282] hardirqs last disabled at (520): [<ffffffffb70019b0>] trace_hardirqs_off_thunk+0x1a/0x1c
<4> [370.603285] softirqs last  enabled at (0): [<ffffffffb70af28e>] copy_process.part.5+0x50e/0x2250
<4> [370.603287] softirqs last disabled at (0): [<0000000000000000>]           (null)
<4> [370.603323] WARNING: CPU: 7 PID: 1474 at drivers/gpu/drm/i915/intel_guc_log.c:244 guc_log_capture_logs+0x3bd/0x460 [i915]
<4> [370.603324] ---[ end trace 4257c1af643f7e9e ]---
Comment 1 CI Bug Log 2019-02-21 11:59:22 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* GUC: igt@i915_suspend@debugfs-reader - dmesg-warn- WARN_ON(!intel_guc_log_relay_enabled(log))
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_224/fi-skl-guc/igt@i915_suspend@debugfs-reader.html
Comment 2 Chris Wilson 2019-02-22 11:28:55 UTC
commit 07c100b187332101220baf7446b4f09296d7c59b (HEAD -> drm-intel-next-queued, drm-intel/drm-intel-next-queued)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 21 16:38:33 2019 +0000

    drm/i915/guc: Flush the residual log capture irq on disabling
    
    As we disable the log capture events, flush any residual interrupt
    before we flush and disable the worker.
    
    v2: Mika pointed out that it wasn't the worker re-queueing itself, but a
    rogue irq.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=109716
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190221163833.21393-1-chris@chris-wilson.co.uk
Comment 3 Martin Peres 2019-03-05 17:22:52 UTC
(In reply to Chris Wilson from comment #2)
> commit 07c100b187332101220baf7446b4f09296d7c59b (HEAD ->
> drm-intel-next-queued, drm-intel/drm-intel-next-queued)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Thu Feb 21 16:38:33 2019 +0000
> 
>     drm/i915/guc: Flush the residual log capture irq on disabling
>     
>     As we disable the log capture events, flush any residual interrupt
>     before we flush and disable the worker.
>     
>     v2: Mika pointed out that it wasn't the worker re-queueing itself, but a
>     rogue irq.
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=109716
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
>     Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
>     Link:
> https://patchwork.freedesktop.org/patch/msgid/20190221163833.21393-1-
> chris@chris-wilson.co.uk

It has not been reproduced since, but the risk is low that it would get re-opened. Thanks, closing!
Comment 4 CI Bug Log 2019-03-05 17:23:04 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.